Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » .aird can not be loaded(import to Photon from Oxygen)
.aird can not be loaded [message #1795859] Mon, 01 October 2018 12:50 Go to next message
Andreas Buchner is currently offline Andreas BuchnerFriend
Messages: 47
Registered: August 2017
Member
Hi,
I wanted to switch to Photon now and move my projects from Oxygen to Photon.

I guess everything is fine, but the .aird resource can not be loaded.

"The Sirius resource (platform:/resource/SafetyTool/model/safetyTool.aird) can not be loaded because it comes from a more recent Sirius release.
Representation version is: 13.0.0.201804031646
Last Sirius migration version is: 12.1.2.201804131029"

anything I can do to not loose the model??

Thanks a lot :)
Re: .aird can not be loaded [message #1795862 is a reply to message #1795859] Mon, 01 October 2018 13:20 Go to previous messageGo to next message
Pierre-Charles David is currently offline Pierre-Charles DavidFriend
Messages: 554
Registered: July 2009
Senior Member
Hi,

Quote:

Last Sirius migration version is: 12.1.2.201804131029


This part indicates you are probably running a version 5.1.x of Sirius.

Quote:

Representation version is: 13.0.0.201804031646


This one indicates the model has alread been opened and saved using Sirius 6.0.

When you open a Sirius model which was created using an earlier version, Sirius automatically migrates it to the current version. Of course this can not work in the other way: versions of Sirius from the past can not know how to correctly interpret models which have been created by versions from their future. Allowing this can cause all kinds of difficult to understand bugs and model corruptions, hence the message. So from the message, you're using Sirius 5.1.2 to try to load a model which has already been opened using Sirius 6.0 and thus migrated to the "Sirius 6.0" format.

The simplest solution is to upgrade to Sirius 6.0, which will know how to correctly interpret models in version "13.0.0". If that's not possible, you can try to lie and hope that things will work out: open the aird file as text, and in the "version" attribute of the top-level viewpoint:DAnalysis XML element, change the version to 12.1.2.201804131029, but there is no guarantee that this will not trigger strange bugs down the road.

Regards,




Pierre-Charles David - Obeo

Need training or professional services for Sirius?
http://www.obeodesigner.com/sirius
Re: .aird can not be loaded [message #1795936 is a reply to message #1795862] Tue, 02 October 2018 14:04 Go to previous message
Andreas Buchner is currently offline Andreas BuchnerFriend
Messages: 47
Registered: August 2017
Member
Thanks a lot :)
nice trick
Previous Topic:Document generation from Sirius And UML Model
Next Topic:create stand-alone application (RCP)
Goto Forum:
  


Current Time: Wed Jan 27 11:28:29 GMT 2021

Powered by FUDForum. Page generated in 0.01681 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top